=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.16~),
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.85.0~),
-               kirigami2-dev (>= 5.85.0~),
-               libkf5config-dev (>= 5.85.0~),
-               libkf5iconthemes-dev (>= 5.85.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               kirigami2-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libqt5x11extras5-dev (>= 5.14.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~),
-               qtquickcontrols2-5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
@@ -46,7 +47,7 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop
