=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               kirigami2-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               kirigami2-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
