=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: qqc2-desktop-style
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
-               kirigami2-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5iconthemes-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               kirigami2-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5iconthemes-dev (>= 5.101.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
 Rules-Requires-Root: no
 
 Package: libkf5qqc2desktopstyle-dev
@@ -44,10 +44,10 @@
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Qt Quick Controls 2: Desktop Style
