=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.101.0~),
-               kirigami2-dev (>= 5.101.0~),
-               libkf5config-dev (>= 5.101.0~),
-               libkf5iconthemes-dev (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               kirigami2-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5iconthemes-dev (>= 5.102.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
