=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.115.0~),
               kirigami2-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               pkgconf,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0),
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0),
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-org-kde-sonnet,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
