## qqc2-desktop-style 5.116.0

=== debian/changelog ===
qqc2-desktop-style (5.116.0-0ubuntu2) oracular; urgency=medium

  * For now do not install translations that are new in this release.
    The files conflict with the translations found in the KF6 packages.
    This is fixed upstream but requires a new release tart with
    regenerated translations.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jul 2024 19:15:32 +0100

qqc2-desktop-style (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf
  * Add qttools5-dev to build depends
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:47:27 +0100

qqc2-desktop-style (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:07:17 +0000

qqc2-desktop-style (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:43:14 +0000

qqc2-desktop-style (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:40:29 -0700

qqc2-desktop-style (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:09:32 -0700

qqc2-desktop-style (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:47:06 +0000

qqc2-desktop-style (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:52:03 +0000

qqc2-desktop-style (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:01:39 +0000
