=== debian/changelog ===
qqc2-desktop-style (5.116.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.1)
  * This version provides non-conflicting translation filenames:
    - drop debian/not-installed
    - add translations again in qml-module-org-kde-qqc2desktopstyle, using a
      safe wildcard so potentially conflicting files won't go unnoticed:
      usr/share/locale/*/LC_MESSAGES/qqc2desktopstyle5_qt.qm

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 17 Jul 2024 11:13:45 +0100
